## BLASTER

BLASTER (Boundary-Layer Adjoint Solver for Transonic External and high Reynolds number flow) is an open-source boundary layer solver written in C++ and python. It is designed to work in a viscous-inviscid interaction (VII) scheme. Blaster is developed at the University of Liège by Paul Dechamps with the active collaboration of Adrien Crovato and the help of Amaury Bilocq and Romain Boman, and under the supervision of Vincent Terrapon and Grigorios Dimitriadis, since 2022.

# Working with

Blaster is curently interfaced with different inviscid flow solvers in order to perform the viscous-inviscid interaction algorithm

- dartflo, a full potential transonic solver [DARTFlo] (git@gitlab.uliege.be:am-dept/dartflo.git) developed by A. Crovato [Steady Transonic Aerodynamic and Aeroelastic Modeling for Preliminary Aircraft Design](http://hdl.handle.net/2268/251906), PhD thesis, University of Liège, 2020.

- SU2 (The Euler solver), developed at Standford University [SU2] (https://github.com/su2code/SU2.git). It is recommended to use our own fork of the project as different tools to have a correct interface have been implemented there [SU2 FORK] (https://github.com/Paul-Dech/SU2.git).
